Sophos Remote Update HELP

* Remote Update HELP

Remote Update enables automatic or manual updating of Sophos Anti-Virus over low bandwidth connections or via the internet. It is mainly intended for remote users (e.g. laptop users) who do not often connect to the company network.

This help file assumes you have sucessfully installed Remote Update, as described in the Remote Update installation guide. This help file offers assistance for the configuration of Remote Update.

International support contacts

Sophos Plc, UK, headquarters
Email: support@sophos.com
Tel: 01235 559933 or +44 1235 559933

Sophos Americas, USA
Email: supportus@sophos.com
Tel: 1 888-SOPHOS-9 (+1 781 973 0110)

Sophos Pty Ltd, Australia
Email: support@sophos.com.au
Tel: +61 (0)2 9409 9100

Sophos Sarl, France
Email: support@sophos.fr
Tel: +33 (0)1 41 99 94 20

Sophos GmbH, Germany
Email: support@sophos.de
Tel: +49 (0)6136 91193

Sophos S.r.l.
Email: support@sophos.it
Tel: +39 02 64 67 26 02

Sophos KK, Japan
Email: support@sophos.co.jp
Tel: +81 (0)45 348 8400

Sophos Anti-Virus Asia
Email: supportasia@sophos.com
Tel: +65 6224 4168


Action dialog box

Action dialog box

In the Action dialog box, click the arrow on the Product box, and select a Sophos product. Select the actions that you want Remote Update to perform for that product the next time an update occurs.

  • Download downloads the files, but does not initiate installation or updating. If you deselect this option, the Update or Install options are automatically deselected.
  • Update updates the product (but does not install it for the first time).
  • Install installs the product (but does not update products already on the PC).
  • Remove uninstalls the product. If you select this option, the Update or Install options are automatically deselected.

By default, Remote Update downloads, installs and updates Sophos Anti-Virus for the operating system you are using. It also updates Remote Update itself (provided you have a central installation of Remote Update).

Note: If you enable updates of both versions of Sophos Anti-Virus here, the workstation installations you make later will update only the correct version for their operating system.


Primary server dialog box

Primary server dialog box

In the Primary server dialog box, enter the Address (web server or UNC path) from which Remote Update will usually download updates. If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

NOTE If the User name needs to be qualified to indicate the domain, use the form domain\username.

If you want to configure the connection and timeout settings, click Advanced....

If you access the address via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.


Secondary server dialog box

Secondary server dialog box

For each product that it downloads, Remote Update attempts to contact the primary server first. If it cannot do so, or cannot find the CID for that product, it contacts the secondary server. This means that you do not have to place all the CIDs on the primary server.

Enter the Address (web server or UNC path) from which Remote Update will download Sophos Anti-Virus updates if it cannot contact the Primary server. If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

NOTE If the User name needs to be qualified to indicate the domain, use the form domain\username.

If you want to configure the connection and timeout settings, click Advanced....

If you access the address via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.


Logging dialog box

Logging dialog box

To keep a log of Remote Update's activity, select Log Remote Update activity.

Specify a size in MB in the Maximum log size field.

In Log level, you can select one of the following levels:

  • Normal This level offers typical logging information
  • Verbose This level offers detailed logging information

Verbose logging provides information on many more activities than usual, so the log will grow faster. Use this setting only when problems occur.


Schedule dialog box

schedule dialog box

In the Schedule dialog box, you can configure Remote Update to download updated software automatically.

Select Schedule automatic updates. Then enter the frequency (in minutes) with which Remote Update will check for updated software. The default is 60 minutes.

Remote Update will perform automatic updates only if

  • you are logged on to the computer
  • you are already connected to the internet, or have configured Remote Update to connect to the internet automatically.


Advanced settings

In the Advanced settings dialog box, which you open from the Primary server or Secondary server configuration pages, you customise the Remote Update connection. You configure the Advanced settings separately for the primary server and secondary server.

You customise the connection so that Remote Update works unobtrusively alongside other applications. You can limit the bandwidth that Remote Update uses. Select Limit the amount of bandwidth used, and use the slider control to specify the bandwidth in Kbits/second. If you specify more bandwidth than the PC has available, Remote Update will use all that is available.

If the workstation uses a dial-up connection to the internet, you should enable Remote Update to run manual or scheduled updates even if the workstation is not already on-line. Select Automatically initiate dial-up connection. If you select this option, check that the dial-up connection itself is configured to connect automatically, and to remember the username and password (supplied by your internet service provider) used to access the internet. Check also that it is configured to disconnect when it is idle.


Proxy details

In the Proxy details dialog box, which you open from the Primary server or Secondary server configuration pages, you can enter details of the proxy server. You specify the proxy details separately for the primary server and secondary server.

To enter the proxy server details, select Access the server via a proxy. Enter the proxy server Address and Port number. Enter a User name and Password that give access to the proxy server.

NOTE If the User name needs to be qualified to indicate the domain, use the form domain\username.


Primary server configuration page

Primary server configuration page

In the Primary server tabbed page, enter the Address (web server or UNC path) from which Remote Update will usually download updates. If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

NOTE If the User name needs to be qualified to indicate the domain, use the form domain\username.

If you want to configure the connection and timeout settings, click Advanced....

If you access the address via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.


Secondary server configuration page

Secondary server configuration page

For each product that it downloads, Remote Update attempts to contact the primary server first. If it cannot do so, or cannot find the CID for that product, it contacts the secondary server. This means that you do not have to place all the CIDs on the primary server.

Enter the Address (web server or UNC path) from which Remote Update will download Sophos Anti-Virus updates if it cannot contact the Primary server. If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

NOTE If the User name needs to be qualified to indicate the domain, use the form domain\username.

If you want to configure the connection and timeout settings, click Advanced....

If you access the address via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.